Loading...
Searching...
No Matches
BaseBpGraphComponent::RedNode Class Reference

## Detailed Description

This class represents the red nodes of the graph. The red nodes can also be used as normal nodes.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for BaseBpGraphComponent::RedNode:
[legend]

## Public Member Functions

| RedNode ()
| Default constructor.
| RedNode (const RedNode &)
| Copy constructor.
| RedNode (Invalid)
| Constructor for conversion from `INVALID`.
Public Member Functions inherited from GraphItem< 'n'>
| GraphItem ()
| Default constructor.
| GraphItem (const GraphItem &)
| Copy constructor.
| GraphItem (Invalid)
| Constructor for conversion from `INVALID`.
GraphItem & | operator= (const GraphItem &)
| Assignment operator.
GraphItem & | operator= (Invalid)
| Assignment operator for INVALID.
bool | operator== (const GraphItem &) const
| Equality operator.
bool | operator!= (const GraphItem &) const
| Inequality operator.
bool | operator< (const GraphItem &) const
| Ordering operator.

## Constructor & Destructor Documentation

## RedNode() [1/3]

RedNode | ( |  | ) |

inline

Default constructor.

Warning
  The default constructor is not required to set the item to some well-defined value. So you should consider it as uninitialized.

## RedNode() [2/3]

RedNode | ( | const RedNode & |  | ) |

inline

Copy constructor.

## RedNode() [3/3]

RedNode | ( | Invalid |  | ) |

inline

Constructor for conversion from `INVALID`. It initializes the item to be invalid.

See also
  Invalid for more details.